@REM ----------------------------------------------------------------------------
@REM  Copyright 2001-2006 The Apache Software Foundation.
@REM
@REM  Licensed under the Apache License, Version 2.0 (the "License");
@REM  you may not use this file except in compliance with the License.
@REM  You may obtain a copy of the License at
@REM
@REM       http://www.apache.org/licenses/LICENSE-2.0
@REM
@REM  Unless required by applicable law or agreed to in writing, software
@REM  distributed under the License is distributed on an "AS IS" BASIS,
@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM  See the License for the specific language governing permissions and
@REM  limitations under the License.
@REM ----------------------------------------------------------------------------
@REM
@REM   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
@REM   reserved.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
for %%i in ("%~dp0..") do set "BASEDIR=%%~fi"

:repoSetup
set REPO=


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\lib

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\bio-formats-tools-7.3.0.jar;"%REPO%"\ome-common-6.0.22.jar;"%REPO%"\minio-5.0.2.jar;"%REPO%"\google-http-client-xml-1.20.0.jar;"%REPO%"\google-http-client-1.20.0.jar;"%REPO%"\xpp3-1.1.4c.jar;"%REPO%"\okhttp-3.7.0.jar;"%REPO%"\okio-1.12.0.jar;"%REPO%"\jackson-databind-2.14.2.jar;"%REPO%"\jackson-core-2.14.2.jar;"%REPO%"\jackson-annotations-2.14.2.jar;"%REPO%"\kryo-5.4.0.jar;"%REPO%"\reflectasm-1.11.9.jar;"%REPO%"\objenesis-3.3.jar;"%REPO%"\minlog-1.3.1.jar;"%REPO%"\joda-time-2.12.2.jar;"%REPO%"\guava-32.0.0-jre.jar;"%REPO%"\failureaccess-1.0.1.jar;"%REPO%"\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;"%REPO%"\jsr305-3.0.2.jar;"%REPO%"\checker-qual-3.33.0.jar;"%REPO%"\error_prone_annotations-2.18.0.jar;"%REPO%"\j2objc-annotations-2.8.jar;"%REPO%"\ome-xml-6.3.6.jar;"%REPO%"\specification-6.3.6.jar;"%REPO%"\formats-api-7.3.0.jar;"%REPO%"\ome-codecs-1.0.3.jar;"%REPO%"\ome-jai-0.1.4.jar;"%REPO%"\aircompressor-0.21.jar;"%REPO%"\formats-bsd-7.3.0.jar;"%REPO%"\turbojpeg-7.3.0.jar;"%REPO%"\native-lib-loader-2.4.0.jar;"%REPO%"\jgoodies-forms-1.7.2.jar;"%REPO%"\jgoodies-common-1.7.0.jar;"%REPO%"\commons-lang-2.6.jar;"%REPO%"\perf4j-0.9.16.jar;"%REPO%"\jhdf5-19.04.1.jar;"%REPO%"\base-18.09.0.jar;"%REPO%"\commons-io-2.6.jar;"%REPO%"\commons-lang3-3.7.jar;"%REPO%"\metadata-extractor-2.18.0.jar;"%REPO%"\xmpcore-6.1.11.jar;"%REPO%"\jxrlib-all-0.2.4.jar;"%REPO%"\json-20231013.jar;"%REPO%"\xercesImpl-2.12.2.jar;"%REPO%"\xml-apis-1.4.01.jar;"%REPO%"\snakeyaml-2.0.jar;"%REPO%"\slf4j-api-2.0.9.jar;"%REPO%"\formats-gpl-7.3.0.jar;"%REPO%"\ome-mdbtools-5.3.3.jar;"%REPO%"\metakit-5.3.7.jar;"%REPO%"\ome-poi-5.3.9.jar;"%REPO%"\commons-logging-1.2.jar;"%REPO%"\cdm-core-5.3.3.jar;"%REPO%"\httpservices-5.3.3.jar;"%REPO%"\httpclient-4.5.9.jar;"%REPO%"\commons-codec-1.11.jar;"%REPO%"\httpmime-4.5.9.jar;"%REPO%"\re2j-1.3.jar;"%REPO%"\sqlite-jdbc-3.28.0.jar;"%REPO%"\serializer-2.7.3.jar;"%REPO%"\xalan-2.7.3.jar;"%REPO%"\slf4j-nop-2.0.9.jar;"%REPO%"\bioformats-imageinfo-1.2.3.jar

set ENDORSED_DIR=
if NOT "%ENDORSED_DIR%" == "" set CLASSPATH="%BASEDIR%"\%ENDORSED_DIR%\*;%CLASSPATH%

if NOT "%CLASSPATH_PREFIX%" == "" set CLASSPATH=%CLASSPATH_PREFIX%;%CLASSPATH%

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS%  -classpath %CLASSPATH% -Dapp.name="bioformats-imageinfo" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" jp.riken.neurodata.tools.BioFormatsImageInfo %CMD_LINE_ARGS%
if %ERRORLEVEL% NEQ 0 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
